Deletion (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.thrift

## Class Deletion

- java.lang.Object
- - org.apache.cassandra.thrift.Deletion

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Deletion>, org.apache.thrift.TBase<Deletion,Deletion._Fields>

      public class Deletion
      extends java.lang.Object
      implements org.apache.thrift.TBase<Deletion,Deletion._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Deletion>

  Note that the timestamp is only optional in case of counter deletion.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Deletion._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<Deletion._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `SlicePredicate` | `predicate`
    `java.nio.ByteBuffer` | `super_column`
    `long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Deletion()`
    `Deletion(Deletion other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `bufferForSuper_column()`
    `void` | `clear()`
    `int` | `compareTo(Deletion other)`
    `Deletion` | `deepCopy()`
    `boolean` | `equals(Deletion that)`
    `boolean` | `equals(java.lang.Object that)`
    `Deletion._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(Deletion._Fields field)`
    `SlicePredicate` | `getPredicate()`
    `byte[]` | `getSuper_column()`
    `long` | `getTimestamp()`
    `int` | `hashCode()`
    `boolean` | `isSet(Deletion._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPredicate()` Returns true if field predicate is set (has been assigned a value) and false otherwise
    `boolean` | `isSetSuper_column()` Returns true if field super_column is set (has been assigned a value) and false otherwise
    `boolean` | `isSetTimestamp()` Returns true if field timestamp is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(Deletion._Fields field, java.lang.Object value)`
    `Deletion` | `setPredicate(SlicePredicate predicate)`
    `void` | `setPredicateIsSet(boolean value)`
    `Deletion` | `setSuper_column(byte[] super_column)`
    `Deletion` | `setSuper_column(java.nio.ByteBuffer super_column)`
    `void` | `setSuper_columnIsSet(boolean value)`
    `Deletion` | `setTimestamp(long timestamp)`
    `void` | `setTimestampIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetPredicate()`
    `void` | `unsetSuper_column()`
    `void` | `unsetTimestamp()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### timestamp

          public long timestamp

    - #### super_column

          public java.nio.ByteBuffer super_column

    - #### predicate

          public SlicePredicate predicate

    - #### metaDataMap

          public static final java.util.Map<Deletion._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### Deletion

          public Deletion()

    - #### Deletion

          public Deletion(Deletion other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Deletion deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<Deletion,Deletion._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<Deletion,Deletion._Fields>`

    - #### getTimestamp

          public long getTimestamp()

    - #### setTimestamp

          public Deletion setTimestamp(long timestamp)

    - #### unsetTimestamp

          public void unsetTimestamp()

    - #### isSetTimestamp

          public boolean isSetTimestamp()

      Returns true if field timestamp is set (has been assigned a value) and false otherwise

    - #### setTimestampIsSet

          public void setTimestampIsSet(boolean value)

    - #### getSuper_column

          public byte[] getSuper_column()

    - #### bufferForSuper_column

          public java.nio.ByteBuffer bufferForSuper_column()

    - #### setSuper_column

          public Deletion setSuper_column(byte[] super_column)

    - #### setSuper_column

          public Deletion setSuper_column(java.nio.ByteBuffer super_column)

    - #### unsetSuper_column

          public void unsetSuper_column()

    - #### isSetSuper_column

          public boolean isSetSuper_column()

      Returns true if field super_column is set (has been assigned a value) and false otherwise

    - #### setSuper_columnIsSet

          public void setSuper_columnIsSet(boolean value)

    - #### getPredicate

          public SlicePredicate getPredicate()

    - #### setPredicate

          public Deletion setPredicate(SlicePredicate predicate)

    - #### unsetPredicate

          public void unsetPredicate()

    - #### isSetPredicate

          public boolean isSetPredicate()

      Returns true if field predicate is set (has been assigned a value) and false otherwise

    - #### setPredicateIsSet

          public void setPredicateIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Deletion._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<Deletion,Deletion._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(Deletion._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<Deletion,Deletion._Fields>`

    - #### isSet

          public boolean isSet(Deletion._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<Deletion,Deletion._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Deletion that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Deletion other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Deletion>`

    - #### fieldForId

          public Deletion._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<Deletion,Deletion._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<Deletion,Deletion._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<Deletion,Deletion._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation